{% extends '@SonataAdmin/standard_layout.html.twig' %}

{% block sonata_admin_content %}
    <h2>LDAP Users</h2>
    <table class="table table-bordered table-striped table-hover">
        <thead class="thead-inverse">
        <tr>
            <th>Fist Name</th>
            <th>Surname</th>
            <th>Username</th>
            <th>Email</th>
            <th>Subsystem</th>
            <th>Phone number</th>
        </tr>
        </thead>
        <tbody>
        {% for entry in users %}
            <tr>
                <td>{{ entry.attribute('givenName')|join(', ') }}</td>
                <td>{{ entry.attribute('sn')|join(', ') }}</td>
                <td>{{ entry.attribute('uid')|join(', ') }}</td>
                <td>{{ entry.attribute('email')|join(', ') }}</td>
                <td>{{ entry.attributes.subsystems|join(', ') }}</td>
                <td>{{ entry.attribute('telephoneNumber')|join(', ') }}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="3">No entries found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}
